# HOBBITD_HISTORY

Section: Maintenance Commands (8)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbitd_history - hobbitd worker module for logging status changes

## SYNOPSIS

hobbitd_channel --channel=stachg hobbitd_history [options]

## DESCRIPTION

hobbitd_history is a worker module for hobbitd, and as such it is normally run via the hobbitd_channel(8) program. It receives hobbitd status-change messages from the "stachg" channel via stdin, and uses these to update the history logfiles in a manner that is compatible with the standard Big Brother daemon, bbd.

## OPTIONS

--histdir=DIRECTORY
  The directory for the history files. If not specified, the directory given by the BBHIST environment is used.

--histlogdir=DIRECTORY
  The directory for the historical status-logs. If not specified, the directory given by the BBHISTLOGS environment is used.

--debug
  Enable debugging output.

## ENVIRONMENT

BBALLHISTLOG
  This environment variable controls if the $BBHIST/allevents logfile is updated. This file is used by the event-log display on the BB2 html page. If you do not use this, you can disable it by setting BBALLHISTLOGS=FALSE.

BBHOSTHISTLOG
  This environment variable controls if the $BBHIST/HOSTNAME logfile is updated. This file holds a list of all status changes seen for a single host, but is not used by any of the standard Xymon tools. If you do not want to save this, you can disable it by setting BBHOSTHISTLOG=FALSE.

SAVESTATUSLOG
  This environment variable controls if the historical status-logs are saved whenever a status change occurs. These logfiles are stored in the $BBHISTLOGS directory, and are used for the detailed log-display of a status from the Xymon "History" page. If you do not want to save these, you can disable it by setting SAVESTATUSLOG=FALSE.

## FILES

This module does not rely on any configuration files.

## SEE ALSO

hobbitd_channel(8), hobbitd(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
ENVIRONMENT
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:30 GMT, December 15, 2008